<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2012 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion.php
| Version: 1.0.1
| Author: Yodix (www.on-deck.eu)
| Release Date: 22/03/2012
| Last Update Date: 23/03/2012
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

if (file_exists(INFUSIONS."pm_after_action/locale/".$settings['locale'].".php")) {
	include INFUSIONS."pm_after_action/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."pm_after_action/locale/English.php";
}

$inf_title = $locale['paa_install_000'];
$inf_description = $locale['paa_install_001'];
$inf_version = "1.0.1";
$inf_developer = "Yodix";
$inf_email = "yodix@on-deck.eu";
$inf_weburl = "http://www.on-deck.eu";

$inf_folder = "pm_after_action";

$inf_insertdbrow[1] = DB_PANELS." (panel_name, panel_filename, panel_content, panel_side, panel_order, panel_type, panel_access, panel_display, panel_status) VALUES('".$locale['paa_install_000']."', 'pm_after_action_panel', '', '2', '1', 'file', '0', '1', '1')";
$inf_insertdbrow[2] = DB_SETTINGS_INF." (settings_name, settings_value, settings_inf) VALUES('refresh_topic', '1', '".$inf_folder."')";
$inf_insertdbrow[3] = DB_SETTINGS_INF." (settings_name, settings_value, settings_inf) VALUES('refresh_topic_pm', '', '".$inf_folder."')";
$inf_insertdbrow[4] = DB_SETTINGS_INF." (settings_name, settings_value, settings_inf) VALUES('stick_topic', '1', '".$inf_folder."')";
$inf_insertdbrow[5] = DB_SETTINGS_INF." (settings_name, settings_value, settings_inf) VALUES('stick_topic_pm', '', '".$inf_folder."')";
$inf_insertdbrow[6] = DB_SETTINGS_INF." (settings_name, settings_value, settings_inf) VALUES('unstick_topic', '1', '".$inf_folder."')";
$inf_insertdbrow[7] = DB_SETTINGS_INF." (settings_name, settings_value, settings_inf) VALUES('unstick_topic_pm', '', '".$inf_folder."')";
$inf_insertdbrow[8] = DB_SETTINGS_INF." (settings_name, settings_value, settings_inf) VALUES('move_topic', '1', '".$inf_folder."')";
$inf_insertdbrow[9] = DB_SETTINGS_INF." (settings_name, settings_value, settings_inf) VALUES('move_topic_pm', '', '".$inf_folder."')";
$inf_insertdbrow[10] = DB_SETTINGS_INF." (settings_name, settings_value, settings_inf) VALUES('lock_topic', '1', '".$inf_folder."')";
$inf_insertdbrow[11] = DB_SETTINGS_INF." (settings_name, settings_value, settings_inf) VALUES('lock_topic_pm', '', '".$inf_folder."')";
$inf_insertdbrow[12] = DB_SETTINGS_INF." (settings_name, settings_value, settings_inf) VALUES('unlock_topic', '1', '".$inf_folder."')";
$inf_insertdbrow[13] = DB_SETTINGS_INF." (settings_name, settings_value, settings_inf) VALUES('unlock_topic_pm', '', '".$inf_folder."')";
$inf_insertdbrow[14] = DB_SETTINGS_INF." (settings_name, settings_value, settings_inf) VALUES('delete_topic', '1', '".$inf_folder."')";
$inf_insertdbrow[15] = DB_SETTINGS_INF." (settings_name, settings_value, settings_inf) VALUES('delete_topic_pm', '', '".$inf_folder."')";

$inf_deldbrow[1] = DB_PANELS." WHERE panel_filename='".$inf_folder."'";
$inf_deldbrow[2] = DB_SETTINGS_INF." WHERE settings_inf='".$inf_folder."'";

$inf_adminpanel[1] = array(
	"title" => $locale['paa_install_000'],
	"image" => "pm_after_action.gif",
	"panel" => "pm_after_action_admin.php",
	"rights" => "PAA"
);
?>