<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2012 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: pm_after_action_panel.php
| Version: 1.0.1
| Author: Yodix (www.on-deck.eu)
| Release Date: 22/03/2012
| Last Update Date: 23/03/2012
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include_once INCLUDES."infusions_include.php";

if (file_exists(INFUSIONS."pm_after_action/locale/".$settings['locale'].".php")) {
	include INFUSIONS."pm_after_action/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."pm_after_action/locale/English.php";
}

$paa_settings = get_settings("pm_after_action");

if (isset($_POST['delete_threads']) && isset($_GET['forum_id']) && isnum($_GET['forum_id'])) {
	$thread_ids_paa = "";
	if (isset($_POST['check_mark']) && is_array($_POST['check_mark'])) {
		foreach ($_POST['check_mark'] as $thisnum) {
			if (isnum($thisnum)) { $thread_ids_paa .= ($thread_ids_paa ? "," : "").$thisnum; }
		}
	}
	$threads_array = explode(",", $thread_ids_paa);
	for ($i = 0; $i < count($threads_array); $i++) {
		$paa_result = dbquery(
			"SELECT t.forum_id, t.thread_id, t.thread_subject, t.thread_author, f.forum_id, f.forum_name
			FROM ".DB_THREADS." t
			LEFT JOIN ".DB_FORUMS." f ON t.forum_id=f.forum_id
			WHERE t.thread_id='".$threads_array[$i]."'"
		);
		if (dbrows($paa_result) != "0") {
			$paa_data = dbarray($paa_result);
			$user_name_data = dbarray(dbquery("SELECT user_name FROM ".DB_USERS." WHERE user_id='".$paa_data['thread_author']."'"));
			if ($paa_settings['delete_topic'] == "1" && !empty($paa_settings['delete_topic_pm'])) {
				$message = preg_replace("[Xthread_nameX]", $paa_data['thread_subject'], $paa_settings['delete_topic_pm']);
				$message = preg_replace("[Xuser_nameX]", $user_name_data['user_name'], $message);
				$message = preg_replace("[Xmoderator_nameX]", $userdata['user_name'], $message);
				$message = preg_replace("[Xthread_forumX]", $paa_data['forum_name'], $message);
				send_pm($paa_data['thread_author'], $userdata['user_id'], $locale['paa_panel_001'], $message);
			}
		}
	}
}

if (isset($_GET['forum_id']) && isnum($_GET['forum_id']) && isset($_GET['thread_id']) && isnum($_GET['thread_id'])) {
	if (isset($_POST['step']) && $_POST['step'] == "renew") {
		$paa_result = dbquery(
			"SELECT t.forum_id, t.thread_id, t.thread_subject, t.thread_author, f.forum_id, f.forum_name
			FROM ".DB_THREADS." t
			LEFT JOIN ".DB_FORUMS." f ON t.forum_id=f.forum_id
			WHERE t.thread_id='".$_GET['thread_id']."'"
		);
		if (dbrows($paa_result) != "0") {
			$paa_data = dbarray($paa_result);
			$user_name_data = dbarray(dbquery("SELECT user_name FROM ".DB_USERS." WHERE user_id='".$paa_data['thread_author']."'"));
			if ($paa_settings['refresh_topic'] == "1" && !empty($paa_settings['refresh_topic_pm'])) {
				$link = "[url]".$settings['site_protocol']."://".$settings['site_host'].$settings['site_path']."forum/viewthread.php?thread_id=".$paa_data['thread_id']."[/url]";
				$link_name = "[url=".$settings['site_protocol']."://".$settings['site_host'].$settings['site_path']."forum/viewthread.php?thread_id=".$paa_data['thread_id']."]".$paa_data['thread_subject']."[/url]";
				
				$message = preg_replace("[Xthread_nameX]", $paa_data['thread_subject'], $paa_settings['refresh_topic_pm']);
				$message = preg_replace("[Xuser_nameX]", $user_name_data['user_name'], $message);
				$message = preg_replace("[Xmoderator_nameX]", $userdata['user_name'], $message);
				$message = preg_replace("[Xthread_linkX]", $link, $message);
				$message = preg_replace("[Xthread_link_nameX]", $link_name, $message);
				$message = preg_replace("[Xthread_forumX]", $paa_data['forum_name'], $message);
				send_pm($paa_data['thread_author'], $userdata['user_id'], $locale['paa_panel_000'], $message);
			}
		}
	} elseif (isset($_POST['step']) && $_POST['step'] == "delete") {
		$paa_result = dbquery(
			"SELECT t.forum_id, t.thread_id, t.thread_subject, t.thread_author, f.forum_id, f.forum_name
			FROM ".DB_THREADS." t
			LEFT JOIN ".DB_FORUMS." f ON t.forum_id=f.forum_id
			WHERE t.thread_id='".$_GET['thread_id']."'"
		);
		if (dbrows($paa_result) != "0") {
			$paa_data = dbarray($paa_result);
			$user_name_data = dbarray(dbquery("SELECT user_name FROM ".DB_USERS." WHERE user_id='".$paa_data['thread_author']."'"));
			if ($paa_settings['delete_topic'] == "1" && !empty($paa_settings['delete_topic_pm'])) {
				$message = preg_replace("[Xthread_nameX]", $paa_data['thread_subject'], $paa_settings['delete_topic_pm']);
				$message = preg_replace("[Xuser_nameX]", $user_name_data['user_name'], $message);
				$message = preg_replace("[Xmoderator_nameX]", $userdata['user_name'], $message);
				$message = preg_replace("[Xthread_forumX]", $paa_data['forum_name'], $message);
				send_pm($paa_data['thread_author'], $userdata['user_id'], $locale['paa_panel_001'], $message);
			}
		}
	} elseif (isset($_POST['step']) && $_POST['step'] == "lock") {
		$paa_result = dbquery(
			"SELECT t.forum_id, t.thread_id, t.thread_subject, t.thread_author, f.forum_id, f.forum_name
			FROM ".DB_THREADS." t
			LEFT JOIN ".DB_FORUMS." f ON t.forum_id=f.forum_id
			WHERE t.thread_id='".$_GET['thread_id']."'"
		);
		if (dbrows($paa_result) != "0") {
			$paa_data = dbarray($paa_result);
			$user_name_data = dbarray(dbquery("SELECT user_name FROM ".DB_USERS." WHERE user_id='".$paa_data['thread_author']."'"));
			if ($paa_settings['lock_topic'] == "1" && !empty($paa_settings['lock_topic_pm'])) {
				$link = "[url]".$settings['site_protocol']."://".$settings['site_host'].$settings['site_path']."forum/viewthread.php?thread_id=".$paa_data['thread_id']."[/url]";
				$link_name = "[url=".$settings['site_protocol']."://".$settings['site_host'].$settings['site_path']."forum/viewthread.php?thread_id=".$paa_data['thread_id']."]".$paa_data['thread_subject']."[/url]";

				$message = preg_replace("[Xthread_nameX]", $paa_data['thread_subject'], $paa_settings['lock_topic_pm']);
				$message = preg_replace("[Xuser_nameX]", $user_name_data['user_name'], $message);
				$message = preg_replace("[Xmoderator_nameX]", $userdata['user_name'], $message);
				$message = preg_replace("[Xthread_linkX]", $link, $message);
				$message = preg_replace("[Xthread_link_nameX]", $link_name, $message);
				$message = preg_replace("[Xthread_forumX]", $paa_data['forum_name'], $message);
				send_pm($paa_data['thread_author'], $userdata['user_id'], $locale['paa_panel_002'], $message);
			}
		}
	} elseif (isset($_POST['step']) && $_POST['step'] == "sticky") {
		$paa_result = dbquery(
			"SELECT t.forum_id, t.thread_id, t.thread_subject, t.thread_author, f.forum_id, f.forum_name
			FROM ".DB_THREADS." t
			LEFT JOIN ".DB_FORUMS." f ON t.forum_id=f.forum_id
			WHERE t.thread_id='".$_GET['thread_id']."'"
		);
		if (dbrows($paa_result) != "0") {
			$paa_data = dbarray($paa_result);
			$user_name_data = dbarray(dbquery("SELECT user_name FROM ".DB_USERS." WHERE user_id='".$paa_data['thread_author']."'"));
			if ($paa_settings['stick_topic'] == "1" && !empty($paa_settings['stick_topic_pm'])) {
				$link = "[url]".$settings['site_protocol']."://".$settings['site_host'].$settings['site_path']."forum/viewthread.php?thread_id=".$paa_data['thread_id']."[/url]";
				$link_name = "[url=".$settings['site_protocol']."://".$settings['site_host'].$settings['site_path']."forum/viewthread.php?thread_id=".$paa_data['thread_id']."]".$paa_data['thread_subject']."[/url]";
				
				$message = preg_replace("[Xthread_nameX]", $paa_data['thread_subject'], $paa_settings['stick_topic_pm']);
				$message = preg_replace("[Xuser_nameX]", $user_name_data['user_name'], $message);
				$message = preg_replace("[Xmoderator_nameX]", $userdata['user_name'], $message);
				$message = preg_replace("[Xthread_linkX]", $link, $message);
				$message = preg_replace("[Xthread_link_nameX]", $link_name, $message);
				$message = preg_replace("[Xthread_forumX]", $paa_data['forum_name'], $message);
				send_pm($paa_data['thread_author'], $userdata['user_id'], $locale['paa_panel_003'], $message);
			}
		}
	} elseif (isset($_POST['step']) && $_POST['step'] == "move") {
		$paa_result = dbquery(
			"SELECT t.forum_id, t.thread_id, t.thread_subject, t.thread_author, f.forum_id, f.forum_name
			FROM ".DB_THREADS." t
			LEFT JOIN ".DB_FORUMS." f ON t.forum_id=f.forum_id
			WHERE t.thread_id='".$_GET['thread_id']."'"
		);
		if (dbrows($paa_result) != "0") {
			$paa_data = dbarray($paa_result);
			$user_name_data = dbarray(dbquery("SELECT user_name FROM ".DB_USERS." WHERE user_id='".$paa_data['thread_author']."'"));
			if ($paa_settings['move_topic'] == "1" && !empty($paa_settings['move_topic_pm'])) {
				$link = "[url]".$settings['site_protocol']."://".$settings['site_host'].$settings['site_path']."forum/viewthread.php?thread_id=".$paa_data['thread_id']."[/url]";
				$link_name = "[url=".$settings['site_protocol']."://".$settings['site_host'].$settings['site_path']."forum/viewthread.php?thread_id=".$paa_data['thread_id']."]".$paa_data['thread_subject']."[/url]";
				
				$message = preg_replace("[Xthread_nameX]", $paa_data['thread_subject'], $paa_settings['move_topic_pm']);
				$message = preg_replace("[Xuser_nameX]", $user_name_data['user_name'], $message);
				$message = preg_replace("[Xmoderator_nameX]", $userdata['user_name'], $message);
				$message = preg_replace("[Xthread_linkX]", $link, $message);
				$message = preg_replace("[Xthread_link_nameX]", $link_name, $message);
				$message = preg_replace("[Xthread_forumX]", $paa_data['forum_name'], $message);
				send_pm($paa_data['thread_author'], $userdata['user_id'], $locale['paa_panel_004'], $message);
			}
		}
	} elseif (isset($_POST['step']) && $_POST['step'] == "unlock") {
		$paa_result = dbquery(
			"SELECT t.forum_id, t.thread_id, t.thread_subject, t.thread_author, f.forum_id, f.forum_name
			FROM ".DB_THREADS." t
			LEFT JOIN ".DB_FORUMS." f ON t.forum_id=f.forum_id
			WHERE t.thread_id='".$_GET['thread_id']."'"
		);
		if (dbrows($paa_result) != "0") {
			$paa_data = dbarray($paa_result);
			$user_name_data = dbarray(dbquery("SELECT user_name FROM ".DB_USERS." WHERE user_id='".$paa_data['thread_author']."'"));
			if ($paa_settings['unlock_topic'] == "1" && !empty($paa_settings['unlock_topic_pm'])) {
				$link = "[url]".$settings['site_protocol']."://".$settings['site_host'].$settings['site_path']."forum/viewthread.php?thread_id=".$paa_data['thread_id']."[/url]";
				$link_name = "[url=".$settings['site_protocol']."://".$settings['site_host'].$settings['site_path']."forum/viewthread.php?thread_id=".$paa_data['thread_id']."]".$paa_data['thread_subject']."[/url]";
				
				$message = preg_replace("[Xthread_nameX]", $paa_data['thread_subject'], $paa_settings['unlock_topic_pm']);
				$message = preg_replace("[Xuser_nameX]", $user_name_data['user_name'], $message);
				$message = preg_replace("[Xmoderator_nameX]", $userdata['user_name'], $message);
				$message = preg_replace("[Xthread_linkX]", $link, $message);
				$message = preg_replace("[Xthread_link_nameX]", $link_name, $message);
				$message = preg_replace("[Xthread_forumX]", $paa_data['forum_name'], $message);
				send_pm($paa_data['thread_author'], $userdata['user_id'], $locale['paa_panel_005'], $message);
			}
		}
	} elseif (isset($_POST['step']) && $_POST['step'] == "nonsticky") {
		$paa_result = dbquery(
			"SELECT t.forum_id, t.thread_id, t.thread_subject, t.thread_author, f.forum_id, f.forum_name
			FROM ".DB_THREADS." t
			LEFT JOIN ".DB_FORUMS." f ON t.forum_id=f.forum_id
			WHERE t.thread_id='".$_GET['thread_id']."'"
		);
		if (dbrows($paa_result) != "0") {
			$paa_data = dbarray($paa_result);
			$user_name_data = dbarray(dbquery("SELECT user_name FROM ".DB_USERS." WHERE user_id='".$paa_data['thread_author']."'"));
			if ($paa_settings['unstick_topic'] == "1" && !empty($paa_settings['unstick_topic_pm'])) {
				$link = "[url]".$settings['site_protocol']."://".$settings['site_host'].$settings['site_path']."forum/viewthread.php?thread_id=".$paa_data['thread_id']."[/url]";
				$link_name = "[url=".$settings['site_protocol']."://".$settings['site_host'].$settings['site_path']."forum/viewthread.php?thread_id=".$paa_data['thread_id']."]".$paa_data['thread_subject']."[/url]";
				
				$message = preg_replace("[Xthread_nameX]", $paa_data['thread_subject'], $paa_settings['unstick_topic_pm']);
				$message = preg_replace("[Xuser_nameX]", $user_name_data['user_name'], $message);
				$message = preg_replace("[Xmoderator_nameX]", $userdata['user_name'], $message);
				$message = preg_replace("[Xthread_linkX]", $link, $message);
				$message = preg_replace("[Xthread_link_nameX]", $link_name, $message);
				$message = preg_replace("[Xthread_forumX]", $paa_data['forum_name'], $message);
				send_pm($paa_data['thread_author'], $userdata['user_id'], $locale['paa_panel_006'], $message);
			}
		}
	}
}

?>